using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UnhandledExceptions
{
    class Program
    {
        // Listing 8-13
        static void Main(string[] args)
        {
            AppDomain.CurrentDomain.UnhandledException += OnUnhandledException;

            // Celowo doprowadzamy do awarii, by doprowadzić do wystąpienia 
            // zdarzenia UnhandledException. 
            throw new InvalidOperationException();
        }

        private static void OnUnhandledException(object sender,
            UnhandledExceptionEventArgs e)
        {
            Console.WriteLine("Wyjątek nie został obsłużony: {0}", e.ExceptionObject);
        }

    }
}
